aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
Diffstat (limited to 'coin')
-rw-r--r--coin/platform_configs/default.txt2
-rw-r--r--coin/platform_configs/qt5.txt5
-rw-r--r--coin/platform_configs/qtdeclarative.txt2
-rw-r--r--coin/provisioning/common/winrtrunner.ps110
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh2
-rw-r--r--coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/freeopcua.sh49
-rw-r--r--coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/08-pythondev.sh8
-rw-r--r--coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh1
-rw-r--r--coin/provisioning/qtci-windows-10-x86/winrtrunner.ps11
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/winrtrunner.ps11
10 files changed, 76 insertions, 5 deletions
diff --git a/coin/platform_configs/default.txt b/coin/platform_configs/default.txt
index 63c54671..468451e9 100644
--- a/coin/platform_configs/default.txt
+++ b/coin/platform_configs/default.txt
@@ -18,6 +18,6 @@ qtci-osx-10.10-x86_64 Clang
qtci-osx-10.10-x86_64 Clang Release NoFramework DisableTests
qtci-osx-10.10-x86_64 IOS_ANY x86_64 Clang Release DisableTests Static
qtci-linux-RHEL-7.2-x86_64 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
-qtci-linux-Ubuntu-16.04-x86_64-1 Boot2Qt_Morty armv7 GCC Release
+qtci-linux-Ubuntu-16.04-x86_64-1 Boot2Qt_Pyro armv7 GCC Release
qtci-linux-Ubuntu-16.04-x86_64-1 GCC TestOnly LicenseCheck
qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
diff --git a/coin/platform_configs/qt5.txt b/coin/platform_configs/qt5.txt
index 9008d187..60a99694 100644
--- a/coin/platform_configs/qt5.txt
+++ b/coin/platform_configs/qt5.txt
@@ -17,7 +17,6 @@ qtci-macos-10.12-x86_64-8 Android_ANY x86 GCC Packagin
qtci-linux-RHEL-6.6-x86_64 QNX_660 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-7.2-x86_64 QNX_700 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-7.2-x86_64 QNX_700 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
-qtci-windows-10-x86_64-7 QNX_700 armv7 Mingw53 Packaging Release DisableTests OpenGLES2
-qtci-windows-10-x86_64-7 QNX_700 x86 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-osx-10.10-x86_64 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
-qtci-linux-RHEL-7.2-x86_64 INTEGRITY_11_04 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-macos-10.12-x86_64-8 TvOS_ANY multi Clang DebugAndRelease DisableTests
+qtci-macos-10.12-x86_64-8 WatchOS_ANY multi Clang DebugAndRelease DisableTests
diff --git a/coin/platform_configs/qtdeclarative.txt b/coin/platform_configs/qtdeclarative.txt
index 2a9d9ac7..aa718d0c 100644
--- a/coin/platform_configs/qtdeclarative.txt
+++ b/coin/platform_configs/qtdeclarative.txt
@@ -1,3 +1,3 @@
Template Target OS Target arch Compiler Features
--------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
-qtci-linux-Ubuntu-16.04-x86_64-1 Boot2Qt_Morty armv7 GCC DeveloperBuild
+qtci-linux-Ubuntu-16.04-x86_64-1 Boot2Qt_Pyro armv7 GCC DeveloperBuild
diff --git a/coin/provisioning/common/winrtrunner.ps1 b/coin/provisioning/common/winrtrunner.ps1
new file mode 100644
index 00000000..f433ac7a
--- /dev/null
+++ b/coin/provisioning/common/winrtrunner.ps1
@@ -0,0 +1,10 @@
+. "$PSScriptRoot\helpers.ps1"
+
+$zip = "c:\users\qt\downloads\winrtrunner.zip"
+
+Invoke-WebRequest -UseBasicParsing http://download.qt.io/development_releases/prebuilt/winrtrunner/winrtrunner.zip -OutFile $zip
+Verify-Checksum $zip "C19098A4C9DBD20EDEB4E5E0D3E6A5BBBCA73C42"
+Extract-Zip $zip C:\Utils\winrtrunner
+Remove-Item $zip
+
+[Environment]::SetEnvironmentVariable("CI_WINRTRUNNER_PATH", "C:\Utils\winrtrunner", "Machine")
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
index 593b7c5b..f07be55a 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/002-apt.sh
@@ -82,6 +82,8 @@ try
sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install libgstreamer-plugins-good1.0-dev libgstreamer-plugins-bad1.0-dev || throw $ExceptionAPT
# Support for cross-building to x86 (needed by WebEngine boot2qt builds)
sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install g++-multilib || throw $ExceptionAPT
+ # python3 development package
+ sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install python3-dev python3-pip python3-virtualenv || throw $ExceptionAPT
)
catch || {
case $ex_code in
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/freeopcua.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/freeopcua.sh
new file mode 100644
index 00000000..4f4fd6ea
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/freeopcua.sh
@@ -0,0 +1,49 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+sudo apt-get update
+sudo apt-get install -y libboost-dev libboost-thread-dev libboost-system-dev libboost-program-options-dev libboost-filesystem-dev libxml2-dev libboost-regex-dev
+
+TEMPDIR=$(mktemp --directory) || echo "Failed to create temporary directory"
+trap "sudo rm -fr $TEMPDIR" EXIT
+cd $TEMPDIR
+git clone https://github.com/FreeOpcUa/freeopcua.git freeopcua
+cd freeopcua
+git checkout ca75e05a8e63d88dbfc259e1251f405106411b66
+mkdir build
+cd build
+cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr/local ..
+make
+sudo make install
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/08-pythondev.sh
new file mode 100644
index 00000000..0b42d5a1
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/08-pythondev.sh
@@ -0,0 +1,8 @@
+# provides: python development libraries
+# version: provided by default Linux distribution repository
+# needed to build pyside
+sudo pkcon -y refresh
+sudo pkcon -y install python-devel python-virtualenv
+
+# install python3
+sudo pkcon -y install libpython3_4m1_0 python3-base python3 python3-pip python3-virtualenv
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh b/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh
new file mode 100644
index 00000000..cd4e3fd9
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/025-python3.sh
@@ -0,0 +1 @@
+source "${BASH_SOURCE%/*}/../common/python3.sh"
diff --git a/coin/provisioning/qtci-windows-10-x86/winrtrunner.ps1 b/coin/provisioning/qtci-windows-10-x86/winrtrunner.ps1
new file mode 100644
index 00000000..4de520b2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/winrtrunner.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\winrtrunner.ps1"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/winrtrunner.ps1 b/coin/provisioning/qtci-windows-10-x86_64/winrtrunner.ps1
new file mode 100644
index 00000000..4de520b2
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/winrtrunner.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\winrtrunner.ps1"